> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tryfinch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Providers

> Return details on all available payroll and HR systems.



## OpenAPI

````yaml get /providers
openapi: 3.1.0
info:
  title: API Reference
  version: '2020-09-17'
  contact: {}
  description: >-
    The Finch HRIS API provides a unified way to connect to a multitide of HRIS
    systems. The API requires an access token issued by Finch.


    By default, Organization and Payroll requests use Finch's [Data
    Syncs](/developer-resources/Data-Syncs). If a request is made before the
    initial sync has completed, Finch will request data live from the provider.
    The latency on live requests may range from seconds to minutes depending on
    the provider and batch size.

    For automated integrations, Deductions requests (both read and write) are
    always made live to the provider. Latencies may range from seconds to
    minutes depending on the provider and batch size.



    Employer products are specified by the product parameter, a space-separated
    list of products that your application requests from an employer
    authenticating through Finch Connect. Valid product names are—

    - `company`: Read basic company data


    - `directory`: Read company directory and organization structure


    - `individual`: Read individual data, excluding income and employment data


    - `employment`: Read individual employment and income data


    - `payment`: Read payroll and contractor related payments by the company


    - `pay_statement`: Read detailed pay statements for each individual


    - `benefits`: Create and manage deductions and contributions and enrollment
    for an employer


    [![Open in
    Postman](https://run.pstmn.io/button.svg)](https://god.gw.postman.com/run-collection/21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4?action=collection%2Ffork&collection-url=entityId%3D21027137-08db0929-883d-4094-a9ce-dbf5a9bee4a4%26entityType%3Dcollection%26workspaceId%3D1edf19bc-e0a8-41e9-ac55-481a4b50790b)
servers:
  - url: https://api.tryfinch.com
    description: ''
security: []
tags:
  - name: Organization
  - name: Payroll
  - name: Deductions
  - name: Management
  - name: Sandbox
paths:
  /providers:
    get:
      tags:
        - Management
      summary: Providers
      description: Return details on all available payroll and HR systems.
      operationId: get-providers
      parameters:
        - $ref: '#/components/parameters/API-Version'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProvidersResponse'
              examples:
                Success:
                  value:
                    - id: gusto
                      display_name: Gusto
                      products:
                        - company
                        - directory
                      icon: >-
                        https://finch-assets.s3.us-west-2.amazonaws.com/provider-logos/gustoIcon.png
                      logo: >-
                        https://finch-assets.s3.us-west-2.amazonaws.com/provider-logos/gustoLogo.png
                      mfa_required: true
                      primary_color: '#f45d47'
                      authentication_methods:
                        - type: api
                          benefits_support:
                            '457': null
                            401k:
                              supported_features:
                                company_contribution: null
                                employee_deduction:
                                  - fixed
                                  - percent
                              frequencies:
                                - one_time
                                - every_paycheck
                              annual_maximum: false
                              catch_up: false
                              description: 401(k)
                              supported_operations:
                                company_benefits:
                                  read: not_supported_by_finch
                                  create: supported
                                  update: supported
                                  delete: not_supported_by_finch
                                individual_benefits:
                                  read: not_supported_by_finch
                                  create: supported
                                  delete: supported
                                  update: supported
                            401k_roth: null
                            401k_loan: null
                            403b: null
                            403b_roth: null
                            457_roth: null
                            s125_medical: null
                            s125_dental: null
                            s125_vision: null
                            hsa_pre: null
                            hsa_post: null
                            fsa_medical: null
                            fsa_dependent_care: null
                            simple_ira: null
                            simple: null
                            commuter: null
                            custom_post_tax: null
                            custom_pre_tax: null
                          supported_fields:
                            company:
                              id: true
                              legal_name: true
                              entity:
                                type: true
                                subtype: false
                              primary_email: true
                              primary_phone_number: true
                              ein: true
                              accounts:
                                routing_number: true
                                account_name: true
                                institution_name: true
                                account_type: true
                                account_number: true
                              departments:
                                name: true
                                parent:
                                  name: true
                              locations:
                                line1: true
                                line2: true
                                city: true
                                state: true
                                postal_code: true
                                country: true
                            directory:
                              paging:
                                count: true
                                offset: true
                              individuals:
                                id: true
                                first_name: true
                                middle_name: true
                                last_name: true
                                is_active: true
                                department: null
                                manager:
                                  id: true
                            individual:
                              id: true
                              first_name: true
                              middle_name: true
                              last_name: true
                              preferred_name: true
                              dob: true
                              gender: false
                              ethnicity: false
                              ssn: true
                              encrypted_ssn: true
                              emails:
                                data: true
                                type: true
                              phone_numbers:
                                data: true
                                type: true
                              residence:
                                city: true
                                country: true
                                line1: true
                                line2: true
                                postal_code: true
                                state: true
                            employment:
                              id: true
                              first_name: true
                              middle_name: true
                              last_name: true
                              title: true
                              start_date: true
                              end_date: true
                              is_active: true
                              employment_status: true
                              income_history: false
                              class_code: true
                              custom_fields: false
                              department:
                                name: true
                              employment:
                                type: true
                                subtype: true
                              income:
                                amount: true
                                currency: true
                                unit: true
                              location:
                                line1: true
                                line2: true
                                city: true
                                state: true
                                postal_code: true
                                country: true
                              manager: null
                            payment:
                              id: true
                              pay_date: true
                              debit_date: false
                              company_debit: true
                              gross_pay: true
                              net_pay: true
                              employer_taxes: true
                              employee_taxes: true
                              individual_ids: true
                              pay_period:
                                start_date: false
                                end_date: false
                            pay_statement:
                              paging:
                                count: true
                                offset: true
                              pay_statements:
                                individual_id: true
                                type: true
                                payment_method: true
                                total_hours: true
                                gross_pay: true
                                net_pay: true
                                earnings:
                                  type: true
                                  name: true
                                  amount: true
                                  currency: true
                                employee_deductions:
                                  name: true
                                  amount: true
                                  type: true
                                  pre_tax: true
                                  currency: true
                                employer_contributions:
                                  name: true
                                  amount: true
                                  currency: true
                                taxes:
                                  type: true
                                  name: true
                                  employer: true
                                  amount: true
                                  currency: true
      security:
        - {}
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Finch from '@tryfinch/finch-api';

            const client = new Finch();

            // Automatically fetches more pages as needed.
            for await (const providerListResponse of client.providers.list()) {
              console.log(providerListResponse.id);
            }
        - lang: Python
          source: |-
            from finch import Finch

            client = Finch()
            page = client.providers.list()
            page = page.items[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/Finch-API/finch-api-go\"\n)\n\nfunc main() {\n\tclient := finchgo.NewClient()\n\tpage, err := client.Providers.List(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.tryfinch.api.example;

            import com.tryfinch.api.client.FinchClient;
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
            import com.tryfinch.api.models.ProviderListPage;
            import com.tryfinch.api.models.ProviderListParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    FinchClient client = FinchOkHttpClient.fromEnv();

                    ProviderListPage page = client.providers().list();
                }
            }
        - lang: Kotlin
          source: |-
            package com.tryfinch.api.example

            import com.tryfinch.api.client.FinchClient
            import com.tryfinch.api.client.okhttp.FinchOkHttpClient
            import com.tryfinch.api.models.ProviderListPage
            import com.tryfinch.api.models.ProviderListParams

            fun main() {
                val client: FinchClient = FinchOkHttpClient.fromEnv()

                val page: ProviderListPage = client.providers().list()
            }
        - lang: Ruby
          source: |-
            require "finch_api"

            finch = FinchAPI::Client.new

            page = finch.providers.list

            puts(page)
components:
  parameters:
    API-Version:
      name: Finch-API-Version
      in: header
      required: true
      schema:
        type: string
        default: '2020-09-17'
        format: date
        pattern: ([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))
      description: >-
        Header used to specify the version for a given API request. Current
        version is 2020-09-17.
  schemas:
    GetProvidersResponse:
      type: array
      items:
        $ref: '#/components/schemas/Provider'
    Provider:
      type: object
      properties:
        id:
          type: string
          description: The id of the payroll provider used in Connect.
        display_name:
          type: string
          description: The display name of the payroll provider.
        products:
          type: array
          items:
            type: string
          description: The list of Finch products supported on this payroll provider.
        icon:
          type: string
          description: The url to the official icon of the payroll provider.
        logo:
          type: string
          description: The url to the official logo of the payroll provider.
        mfa_required:
          type: boolean
          description: whether MFA is required for the provider.
        primary_color:
          type: string
          description: The hex code for the primary color of the payroll provider.
        manual:
          type: boolean
          description: >-
            [DEPRECATED] Whether the Finch integration with this provider uses
            the Assisted Connect Flow by default. This field is now deprecated.
            Please check for a `type` of `assisted` in the
            `authentication_methods` field instead.
          deprecated: true
        beta:
          type: boolean
          description: '`true` if the integration is in a beta state, `false` otherwise'
        authentication_methods:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - assisted
                  - credential
                  - api_token
                  - api_credential
                  - oauth
                  - api
                description: The type of authentication method
              benefits_support:
                type: object
                additionalProperties:
                  nullable: true
                description: The supported benefit types and their configurations
              supported_fields:
                type: object
                additionalProperties:
                  nullable: true
                description: The supported fields for each Finch product
            required:
              - type
          description: The authentication methods supported by the provider.
      required:
        - id
        - display_name
        - products
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Please use your Access Token

````